Package org.eclipse.mat.ui.internal.diagnostics.actions

# Class Sleep

java.lang.Object
org.eclipse.mat.ui.internal.diagnostics.actions.Sleep

All Implemented Interfaces:
  `DiagnosticsAction`

public class Sleep extends Object implements DiagnosticsAction
Sleep for some time. Useful to test the wizard's cancellation.

## Constructor Summary

Constructors
Constructor
Description
`Sleep()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(DiagnosticsProgress progress)`
Run the diagnostic action

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sleep

public Sleep()

## Method Details

### run

public void run(DiagnosticsProgress progress)
Description copied from interface: `DiagnosticsAction`
Run the diagnostic action

Specified by:
  `run` in interface `DiagnosticsAction`
Parameters:
  `progress` - Use this to report progress and results to the user